TechDraw Radiusbemaßung

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Radius and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Radius.svg TechDraw Radiusbemaßung

Menüeintrag
TechDraw → Einen Radius der gewählten Ansicht bemaßen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Durchmesserbemaßung


Beschreibung

Das Werkzeug »Radiusbemaßung« fügt ein Radiusmaß in einer Ansicht hinzu. Die Bemaßung kann auf jede Kante angewendet werden, die ein Kreis oder ein kreiförmiger Bogen ist. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.


TechDraw Dimension Radius example.png

Messen eines Kreises, angeben des Radius


Anwendung

  1. Wähle einen Kreis oder Kreisbogen in der Zeichnung. (Hinweis: Einige Bögen, die kreisförmig aussehen, können tatsächlich Ellipsen oder BSplines sein. In diesen Fällen können keine Durchmesserbemaßungen erstellt werden)
  2. Auf die Schaltfläche Techdraw Dimension Radius.png Einen Radius der gewählten Ansicht bemaßen klicken.
  3. Die Bemaßung wird in die Ansicht eingefügt. Sie kann anschließend an die gewünschte Position gezogen werden.

Einschränkungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das Werkzeug »Radiusbemaßung« kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)